Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.timestamp
Interface ConsultServiceV2

All Known Implementing Classes:
  ConsultServiceV2Impl

    public interface ConsultServiceV2

The Consult Service offers 2 distinct operations:
- Get Time Stamp: This service retrieves an actual time stamp from the eHealth-platform Archive, based on a unique sequence number and a time.
- Check Completeness: Retrieves the list of missing time stamps, provided is a time period and list of time stamps (id and times). Default impl : `ConsultServiceV2Impl`

Method Summary
`TSConsultResponse` | `checkCompleteness(X509Certificate certificate, PrivateKey privateKey, TSConsultRequest request)` Retrieves the list of missing time stamps, provided is a time period and list of time stamps (id and times).
`TSConsultTSBagResponse` | `getTimestamp(X509Certificate certificate, PrivateKey privateKey, TSConsultTSBagRequest request)` Retrieves an actual time stamp from the eHealth-platform Archive, based on a unique sequence number and a time.

Method Detail

### getTimestamp

    TSConsultTSBagResponse getTimestamp(X509Certificate certificate,
                                        PrivateKey privateKey,
                                        TSConsultTSBagRequest request)
                                        throws TechnicalConnectorException

  Retrieves an actual time stamp from the eHealth-platform Archive, based on a unique sequence number and a time.

  Parameters:
    `certificate` - X.509 certificate, that includes the public key, of the organization invoking this service. This certificate is used for applying the required web service security policy. Eventually it is used for authentication and authorization purposes by the eHealth-platform.
    `privateKey` - Private key, linked to the X.509 certificate mentioned above.
    `request` - Request message for the Get Time Stamp operation.
  Returns:
    the timestamp Response from the Get Time Stamp operation. The data about the referenced Timestamp Bag is returned
  Throws:
    `TechnicalConnectorException` - the technical connector exception

### checkCompleteness

    TSConsultResponse checkCompleteness(X509Certificate certificate,
                                        PrivateKey privateKey,
                                        TSConsultRequest request)
                                        throws TechnicalConnectorException

  Retrieves the list of missing time stamps, provided is a time period and list of time stamps (id and times).

  Parameters:
    `certificate` - X.509 certificate, that includes the public key, of the organization invoking this service. This certificate is used for applying the required web service security policy. Eventually it is used for authentication and authorization purposes by the eHealth-platform.
    `privateKey` - Private key, linked to the X.509 certificate mentioned above.
    `request` - Request message for the Check Completeness operation.
  Returns:
    the TS consult response Response message for the Check Completeness operation.
  Throws:
    `TechnicalConnectorException` - the technical connector exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.